import OutsideClickCatch from "hoc/outsideClickCatch";
import React, { useState } from "react";
import { Button, Form } from "react-bootstrap";
import PriceRange  from "nouislider-react";
import "nouislider/distribute/nouislider.css";


interface Props {
    label: string;
    onClear: Function;
    onApply: Function;
 }

const PriceRangeFilter = (props: Props) => {
    const [isExpanded, setIsExpanded] = useState(false);

    //const prices = ["100", "500", "1000", "1500", "2000", "2500", "3000", "3500", "4000", "4500", "5000", "5500", "6000", "6500", "7000", "7500", "8000", "8500", "9000", "9500", "10000"];
    
    return (
        <span 
            className="filter-btn-main" 
            style={{ position: "relative" }}
            onClick={() => {
                if (!isExpanded) setIsExpanded(true);
            }}
        >
            <span> {" "} {props.label}{" "} </span>

            {isExpanded && (
                <OutsideClickCatch
                    hideMenu={() => {
                        setIsExpanded(false);
                    }}
                >
                    <div className="price-range">
                        <div className="select-price" id="price-input">
                            <PriceRange 
                                range={{ min: 0, max: 100 }} start={[20, 80]} connect
                            />
                        </div>
                        <div className="min-max-range">
                            <div className="min-price">
                                <p> <span> 1122 tk </span> <br/> Minimum Range</p>
                            </div>
                            <div className="max-range">
                                <p> <span> 99999 tk </span> <br/> Maximum Range</p>
                            </div>
                        </div>
                        <div style={{ clear: "both" }}></div>
                        <hr />
                        <div className="apply-clear">
                            <div>
                                <Button
                                    className="clear"
                                    onClick={() => {
                                        props.onClear();
                                    }}
                                >
                                    {" "}
                                    Clear{" "}
                                </Button>
                            </div>
                            <div>
                                <Button
                                    className="apply"
                                    onClick={() => {
                                        props.onApply();
                                    }}
                                >
                                    {" "}
                                    Apply{" "}
                                </Button>
                            </div>
                        </div>
                    </div>
                </OutsideClickCatch>
            )}
        </span>
    );
}
export default PriceRangeFilter;